# -*-makefile-*-
#
# Copyright (C) 2013 by Michael Krummsdorf
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_HD2) += image-hd2

#
# Paths and names
#
IMAGE_HD2	:= image-hd2
IMAGE_HD2_DIR	:= $(BUILDDIR)/$(IMAGE_HD2)
IMAGE_HD2_IMAGE	:= $(IMAGEDIR)/hd2.img
IMAGE_HD2_DATA	:= $(IMAGEDIR)/u-boot.sb $(IMAGEDIR)/linuximage $(IMAGEDIR)/root.ext2
IMAGE_HD2_CONFIG	:= tqma28-fsl-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_HD2_ENV := \
	KERNEL=linuximage \
	UBOOT=imx28_ivt_uboot.sb \
	ROOTFS=root.ext2 \
	DTB=imx28_ivt_uboot.sb

$(IMAGE_HD2_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_HD2)
	@$(call finish)

# vim: syntax=make

