# -*-makefile-*-
#
# Copyright (C) 2012 by Markus Niebel <Markus.Niebel@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_MBA35CA_DETECT) += mba35ca_detect

#
# Paths and names
#
MBA35CA_DETECT_VERSION	:= 1.0
MBA35CA_DETECT_MD5		:=
MBA35CA_DETECT		:= mba35ca_detect
MBA35CA_DETECT_URL		:= file://local_src/$(MBA35CA_DETECT)-$(MBA35CA_DETECT_VERSION)
MBA35CA_DETECT_DIR		:= $(BUILDDIR)/$(MBA35CA_DETECT)
MBA35CA_DETECT_LICENSE	:= unknown

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

#$(STATEDIR)/mba35ca_detect.extract:
#	@$(call targetinfo)
#	@$(call clean, $(MBA35CA_DETECT_DIR))
#	@$(call extract, MBA35CA_DETECT)
#	@$(call patchin, MBA35CA_DETECT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#MBA35CA_DETECT_PATH	:= PATH=$(CROSS_PATH)
MBA35CA_DETECT_CONF_TOOL	:= NO
MBA35CA_DETECT_MAKE_ENV	:= $(CROSS_ENV)
MBA35CA_DETECT_MAKE_OPT	:= CROSS_COMPILE=$(PTXCONF_COMPILER_PREFIX) \
			all

#$(STATEDIR)/mba35ca_detect.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, MBA35CA_DETECT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/mba35ca_detect.compile:
#	@$(call targetinfo)
#	@$(call world/compile, MBA35CA_DETECT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/mba35ca_detect.install:
#	@$(call targetinfo)
#	@$(call world/install, MBA35CA_DETECT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/mba35ca_detect.targetinstall:
	@$(call targetinfo)

	@$(call install_init, mba35ca_detect)
	@$(call install_fixup, mba35ca_detect,PRIORITY,optional)
	@$(call install_fixup, mba35ca_detect,SECTION,base)
	@$(call install_fixup, mba35ca_detect,AUTHOR,"Markus Niebel <Markus.Niebel@tqs.de>")
	@$(call install_fixup, mba35ca_detect,DESCRIPTION,missing)

#
# TODO: Add here all files that should be copied to the target
# Note: Add everything before(!) call to macro install_finish
#
	@$(call install_copy, mba35ca_detect, 0, 0, 0755, $(MBA35CA_DETECT_DIR)/mba35ca_detect, /usr/bin/mba35ca_detect)

	@$(call install_finish, mba35ca_detect)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/mba35ca_detect.clean:
	@$(call targetinfo)
	@-cd $(MBA35CA_DETECT_DIR) && \
		$(MBA35CA_DETECT_ENV) $(MBA35CA_DETECT_PATH) $(MAKE) clean
	@$(call clean_pkg, MBA35CA_DETECT)

# vim: syntax=make
